List storages
curl --request GET \
--url https://api.gcore.com/storage/provisioning/v3/storage \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/storage/provisioning/v3/storage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/provisioning/v3/storage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/storage/provisioning/v3/storage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/storage/provisioning/v3/storage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/storage/provisioning/v3/storage")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/storage/provisioning/v3/storage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 1,
"results": [
{
"address": "s-region-1.storage.example.com",
"client_id": 1,
"created_at": "2025-08-05T09:17:02Z",
"id": 1,
"location": "s-region-1",
"name": "1-my-storage-prod",
"provisioning_status": "ok",
"reseller_id": 1,
"type": "s3_compatible",
"can_restore": true,
"credentials": {
"keys": [
{
"created_at": "2025-08-05T09:15:00Z",
"id": 123,
"name": "my-production-key"
}
],
"s3": {
"access_key": "AKIAIOSFODNN7EXAMPLE",
"secret_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"sftp_password": "Xy9$mN2p!qR8"
},
"custom_config_file": false,
"deleted_at": "2025-08-05T10:30:15Z",
"disable_http": false,
"expires": "2026-08-05T09:17:02Z",
"rewrite_rules": {},
"server_alias": "my-storage.example.com"
}
]
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}Storage
List storages
deprecated
Returns storages with the same filtering and pagination as v2, but in a simplified response shape for easier client consumption.
Response format: count: total number of storages matching the filter (independent of pagination) results: the current page of storages according to limit/offset
Deprecated: Use GET /v4/object_storages for S3 storages or GET /v4/sftp_storages for SFTP storages instead.
GET
/
storage
/
provisioning
/
v3
/
storage
List storages
curl --request GET \
--url https://api.gcore.com/storage/provisioning/v3/storage \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/storage/provisioning/v3/storage"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/storage/provisioning/v3/storage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/storage/provisioning/v3/storage",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/storage/provisioning/v3/storage"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/storage/provisioning/v3/storage")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/storage/provisioning/v3/storage")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 1,
"results": [
{
"address": "s-region-1.storage.example.com",
"client_id": 1,
"created_at": "2025-08-05T09:17:02Z",
"id": 1,
"location": "s-region-1",
"name": "1-my-storage-prod",
"provisioning_status": "ok",
"reseller_id": 1,
"type": "s3_compatible",
"can_restore": true,
"credentials": {
"keys": [
{
"created_at": "2025-08-05T09:15:00Z",
"id": 123,
"name": "my-production-key"
}
],
"s3": {
"access_key": "AKIAIOSFODNN7EXAMPLE",
"secret_key": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY"
},
"sftp_password": "Xy9$mN2p!qR8"
},
"custom_config_file": false,
"deleted_at": "2025-08-05T10:30:15Z",
"disable_http": false,
"expires": "2026-08-05T09:17:02Z",
"rewrite_rules": {},
"server_alias": "my-storage.example.com"
}
]
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}{
"detail": "<string>",
"error": "<string>",
"request_id": "8f1c9a2e4d6b4f0e9a1b3c5d7e9f0a1b",
"status": 123,
"title": "<string>",
"type": "validation-error",
"context": {
"allowed_methods": [
"<string>"
],
"blocking_count": 123,
"blocking_resources": [
{
"resource_id": "123",
"resource_name": "my-storage",
"resource_type": "object_storages"
}
],
"client_id": 123,
"operation": "<string>",
"project_id": 123,
"quotas": [
{
"available": 123,
"limit": 123,
"name": "access_keys",
"overflow": 123,
"region_id": 123,
"requested": 123,
"resulting_usage": 123,
"scope": "<string>",
"unit": "<string>",
"usage": 123
}
],
"reason": "region",
"region_id": 123,
"resource_id": "123",
"resource_status": "<string>",
"resource_type": "object_storages",
"retry_after": 123
},
"errors": [
{
"code": "missing",
"ctx": {},
"detail": "<string>",
"loc": [
"body",
"name"
]
}
],
"hint": "<string>",
"trace_id": "4bf92f3577b34da6a3ce929d0e0e4736"
}Authorizations
Headers
Query Parameters
Was this page helpful?